Library Version 18.1.40

DbEnv::get_slice_count()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_slice_count()

    #include <db_cxx.h>

    int
    DbEnv::get_slice_count(u_int32_t *nslicesp);

The `DbEnv::get_slice_count()` method returns the number of slices configured for the environment. The number of slices is configured using the `set_slice_count` DB_CONFIG parameter.

The `DbEnv::get_slice_count()` method may only be called after the environment has been opened.

The `DbEnv::get_slice_count()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### nslicep

The `DbEnv::get_slice_count()` method returns the slice count in nslicep.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::get_slices() | Home | DbEnv::get_thread_count()